function show_HMMR_results(x,y, HMMR, yaxislim)
%

if size(x,1)~=1
    x = x'; %y=y';
end
 
%colors = {'b','g','r','c','m','k','y'};
colors = {[0.8 0 0],[0 0 0.8],[0 0.8 0],'m','c','k','y',[0.8 0 0],[0 0 0.8],[0 0.8 0],'m','c','k','y',[0.8 0 0],[0 0 0.8],[0 0.8 0]};
style =  {'r.','b.','g.','m.','c.','k.','y.','r.','b.','g.','m.','c.','k.','y.','r.','b.','g.'};

if (nargin<4)||isempty(yaxislim)
    yaxislim = [mean(y)-2*std(y), mean(y)+2*std(y)];
end
[~, K] = size(HMMR.stats.tau_tk);

 
figure;
title('时间序列、HMMR状态和过程概率')
plot(x,y,'Color',[0.5 0.5 0.5]); 
hold on,
plot(x,HMMR.stats.predicted,'r','linewidth',2);
title('原始和预测的HMMR时间序列')
ylabel('y');
ylim(yaxislim);
 
figure;
for k=1:K
    plot(x,HMMR.stats.predict_prob(:,k),'Color', colors{k},'linewidth',1.5);
    hold on
end
title('预测概率');
xlabel('t');
ylabel('Prob'); 



 


 
figure;
plot(x,HMMR.stats.klas,'k.','linewidth',1.5);

xlabel('t');
ylabel('Estimated class labels');
 
end
