﻿clc;
clear;
close all;
warning off;
addpath(genpath(pwd));

%****************************************************************************
%****************************************************************************

 
K = 5; % nomber of regimes (states)
p = 3; % dimension of beta' (order of the polynomial regressors)

 
type_variance = 'hetereskedastic';
nbr_EM_tries = 1;
max_iter_EM = 1500;
threshold = 1e-6;
verbose = 1;
type_algo = 'EM';
 

 

load data\simulated_time_series;
 

HMMR = learn_hmmr(x, y, K, p, type_variance, nbr_EM_tries, max_iter_EM, threshold, verbose);

 
show_HMMR_results(x,y, HMMR)



 
